using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid.ExcelExport;

namespace Demo
{
    public partial class Form1 : Form
    {
        private static char dot = '\u00B7';

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            UltraGridExcelExporter exporter = new UltraGridExcelExporter();
            exporter.Export(this.ultraGrid1, Environment.GetFolderPath(Environment.SpecialFolder.Desktop) + @"\test.xls");

            MessageBox.Show("Download completed");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable table = new DataTable();
            table.Columns.Add("Column1");
            table.Columns.Add("Column2");
            table.Columns.Add("Column3");

            table.Rows.Add(new object[] { "Container" + dot + "KM", "1", "2" });

            this.ultraGrid1.DataSource = table;
        }
    }
}